import { Component, OnInit } from '@angular/core';
import {Router} from '@angular/router';
import {TabuMiddlewareService} from '../dao/TabuMiddlewareService';

@Component({
  selector: 'app-select-game',
  templateUrl: './select-game.component.html',
  styleUrls: ['./select-game.component.scss']
})
export class SelectGameComponent implements OnInit {

  constructor(private router: Router,
              private server: TabuMiddlewareService) { }

  ngOnInit(): void {
  }

  getSpielSessions(): any {
    console.log('Start')
    const response = this.server.getSpielSessions();
    console.log('Response:', response);
  }

  joinGame(event: any): void {
    this.router.navigate(['/overview']);
  }
}
